Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OsclBinOStreamBigEndian Class Reference
[OSCL Util]

Class OsclBinOStreamBigEndian implements a binary output stream using big endian byte ordering. More...

`#include <oscl_bin_stream.h>`

Inheritance diagram for OsclBinOStreamBigEndian:

## Public Methods
| OsclBinOStreamBigEndian ()
OsclBinOStreamBigEndian & | operator<< (const int8 &data)
| This method writes a int8 from 'data' to the stream.
OsclBinOStreamBigEndian & | operator<< (const uint8 &data)
| This method writes a uint8 from 'data' to the stream.
OsclBinOStreamBigEndian & | operator<< (const int16 &data)
| This method writes a int16 from 'data' to the stream.
OsclBinOStreamBigEndian & | operator<< (const uint16 &data)
| This method writes a uint16 from 'data' to the stream.
OsclBinOStreamBigEndian & | operator<< (const int32 &data)
| This method writes a int32 from 'data' to the stream.
OsclBinOStreamBigEndian & | operator<< (const uint32 &data)
| This method writes a uint32 from 'data' to the stream.
## Protected Methods
void | WriteUnsignedShort (const uint16 data)
void | WriteUnsignedLong (const uint32 data)

## Detailed Description

Class OsclBinOStreamBigEndian implements a binary output stream using big endian byte ordering.

## Constructor & Destructor Documentation

OsclBinOStreamBigEndian::OsclBinOStreamBigEndian | ( |  | ) | `[inline]`

## Member Function Documentation

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const uint32 & | data | ) |

| This method writes a uint32 from 'data' to the stream.

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const int32 & | data | ) |

| This method writes a int32 from 'data' to the stream.

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const uint16 & | data | ) |

| This method writes a uint16 from 'data' to the stream.

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const int16 & | data | ) |

| This method writes a int16 from 'data' to the stream.

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const uint8 & | data | ) |

| This method writes a uint8 from 'data' to the stream.

OsclBinOStreamBigEndian& OsclBinOStreamBigEndian::operator<< | ( | const int8 & | data | ) |

| This method writes a int8 from 'data' to the stream.

void OsclBinOStreamBigEndian::WriteUnsignedLong | ( | const uint32 | data | ) | `[protected]`

void OsclBinOStreamBigEndian::WriteUnsignedShort | ( | const uint16 | data | ) | `[protected]`

The documentation for this class was generated from the following file:

- oscl_bin_stream.h